Skip to main content

Experience Actions

https://api.app.wnology.io/applications/APPLICATION_ID/experience

Below are the various requests that can be performed against the Experience resource, as well as the expected parameters and the potential responses.

Bootstrap​

Bootstraps the experience for this application with standard endpoints and views

Method And Url​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/experience/bootstrap

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.cli, all.Organization, all.User, all.User.cli, experience.*, or experience.bootstrap.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Experience Bootstrap Options schema. For example, the following would be a valid body for this request:

{
"replaceExisting": true
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"replaceExisting":true}' \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/bootstrap

Successful Responses​

CodeTypeDescription
200Experience Bootstrap ResultIf bootstrap was successful

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Delete​

Deletes multiple parts of an experience including users, groups, slugs, domains, versions, endpoints, views, and workflows

Method And Url​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/experience

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, experience.*, or experience.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
keepUsersNIf this is set, Experience Users will not be removed.keepUsers=true
keepGroupsNIf this is set, Experience Groups will not be removed.keepGroups=true
keepSlugsNIf this is set, Experience Slugs will not be removed.keepSlugs=true
keepDomainsNIf this is set, Experience Domains will not be removed.keepDomains=true
removeVersionsNIf this is set, all Experience Versions and their contents will be removed (except for develop).removeVersions=true
keepViewsNIf this is set, Experience Views (in the develop version) will not be removed.keepViews=true
keepEndpointsNIf this is set, Experience Endpoints (in the develop version) will not be removed.keepEndpoints=true
removeWorkflowsNIf this is set, all Experience Workflows (in the develop version) will ve removed.removeWorkflows=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/experience

Successful Responses​

CodeTypeDescription
200SuccessIf deletion was successful

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 2 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key

      Error Example​

      • ▶
        {} 2 keys
        • "NotFound"
        • "Application was not found"

      Experience Bootstrap Options​

      The body of an experience bootstrap request

      Experience Bootstrap Options Schema​

      • ▶
        {} 4 keys
        • "http://json-schema.org/draft-07/schema#"
        • "object"
        • ▶
          {} 4 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 4 keys
                • false

              Experience Bootstrap Options Example​

              • ▶
                {} 1 key
                • true

              Experience Bootstrap Result​

              The result of an experience bootstrap request

              Experience Bootstrap Result Schema​

              • ▶
                {} 4 keys
                • "http://json-schema.org/draft-07/schema#"
                • "object"
                • ▶
                  {} 3 keys
                  • ▶
                    {} 1 key
                    • ▶
                      {} 1 key
                      • ▶
                        {} 1 key
                      • false

                    Experience Bootstrap Result Example​

                    • ▶
                      {} 3 keys
                      • "examplePass"
                      • "example.user@example.com"
                      • ""

                    Success​

                    Schema for reporting a successful operation

                    Success Schema​

                    • ▶
                      {} 3 keys
                      • "http://json-schema.org/draft-07/schema#"
                      • "object"
                      • ▶
                        {} 1 key
                        • ▶
                          {} 2 keys

                      Success Example​

                      • ▶
                        {} 1 key
                        • true

                      Was this page helpful?


                      Still looking for help? You can also search the WEGnology Forums or submit your question there.